﻿@model IEnumerable<shop.Models.Address>

@{
    ViewBag.Title = "آدرس های من";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

    <div class="card">
        <div class="card-header bg-dark text-light">
            <div class="row">
                <div class="col-6 text-left mt-1">آدرس های من</div>
                <div class="col-6 text-right">
                    @Html.ActionLink("افزودن", "Create", "", new { @class = "btn btn-success" })
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table">
                <tr>
               
                    <th>
                        @Html.DisplayNameFor(model => model.AddressText)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.AddressState)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.AddressCity)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.AddressPostalCode)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.AddressText)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.AddressState)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.AddressCity)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.AddressPostalCode)
                        </td>
                        <td>
                            @Html.ActionLink("ویرایش", "Edit", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-warning"}) |
                            @Html.ActionLink("حذف", "Delete", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-danger" })
                        </td>
                    </tr>
                }

            </table>

        </div>
    </div>




